(function(){
	const gameContainer = document.getElementById('gameContainer');
	const ratio = 16/9;

	const resizeGameContainer = () => {
		var border = 25;
	
		var width = window.innerWidth - border*2;
		var height = window.innerHeight - border*2;
		
		var targetWidth = 0;
		var targetHeight = 0;
		

		targetWidth = width;
		targetHeight = width / ratio;
		
		if(targetHeight > height){
			targetHeight = height;
			targetWidth = height * ratio;
		}
		
		gameContainer.setAttribute( 'style', 'width:'+targetWidth+'px !important; height:'+targetHeight+'px !important;');
    }
	
	var resizeId;
	window.addEventListener('resize', function() {
		clearTimeout(resizeId);
		resizeId = setTimeout(doneResizing, 500);
	});

	function doneResizing(){
		resizeGameContainer();
	}
})();